> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ofauth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Chats with tips

> List chat conversations that include tips.

**Required scope:** `messages:read`



## OpenAPI

````yaml /openapi/v3.json get /v3/access/chats/with-tips
openapi: 3.1.0
info:
  title: OFAuth API
  version: 1.0.0
  description: >-
    OFAuth V3 API for linking accounts, making OnlyFans API requests, and
    receiving events.
  contact:
    email: support@ofauth.com
    url: https://ofauth.com/
servers:
  - url: https://api.ofauth.com
security:
  - ExternalOAuth: []
tags:
  - name: Link
    description: Link accounts, get and refresh tokens, and end access.
  - name: Linked accounts
    description: The linked accounts of one authorization, and their settings.
  - name: Access
    description: Make OnlyFans API requests for a linked account.
  - name: Analytics
    description: 'Access: charts, rankings, and performance data.'
  - name: Earnings
    description: 'Access: earnings charts, transactions, and chargebacks.'
  - name: Messages
    description: 'Access: messaging, chats, queue, and mass messaging.'
  - name: Posts
    description: 'Access: create, edit, list, and manage posts.'
  - name: Promotions
    description: 'Access: promotions, trials, and bundles.'
  - name: Users
    description: 'Access: user profiles, subscriptions, and actions.'
  - name: Vault
    description: 'Access: vault folders, media, and management.'
  - name: Upload
    description: 'Access: media upload and processing.'
  - name: Self
    description: 'Access: linked account profile and settings.'
  - name: Stories
    description: 'Access: stories listing and management.'
  - name: Subscriptions
    description: 'Access: subscription offers, discounts, and management.'
  - name: Realtime
    description: Webhook event formats, including OnlyFans activity events.
externalDocs:
  description: OFAuth Developer Documentation
  url: https://docs.ofauth.com
paths:
  /v3/access/chats/with-tips:
    get:
      tags:
        - Messages
      summary: Chats with tips
      description: |-
        List chat conversations that include tips.

        **Required scope:** `messages:read`
      operationId: access.chats.listWithTips
      parameters:
        - name: x-linked-account-id
          in: header
          required: true
          description: >-
            The linked account to use. The user must have shared it with your
            app. A missing account returns `linked_account_required`; an account
            outside your access returns `linked_account_not_granted`.
          schema:
            type: string
            example: conn_example123
        - schema:
            type: integer
            minimum: 1
            maximum: 20
            default: 10
            description: 'Number of items to return (1-20, default: 10)'
          required: false
          description: 'Number of items to return (1-20, default: 10)'
          name: limit
          in: query
        - schema:
            type: string
            nullable: true
            description: Cursor from the previous page. Send it to get the next page.
          required: false
          description: Cursor from the previous page. Send it to get the next page.
          name: cursor
          in: query
        - schema:
            type: string
            enum:
              - recent
              - old
            default: recent
            description: 'Sort order: recent (newest first) or old (oldest first)'
          required: false
          description: 'Sort order: recent (newest first) or old (oldest first)'
          name: order
          in: query
        - schema:
            type: string
            maxLength: 100
            description: Text to search for
          required: false
          description: Text to search for
          name: query
          in: query
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            description: Only include chats from this user list.
          required: false
          description: Only include chats from this user list.
          name: listId
          in: query
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
              - '1'
              - '0'
            description: >-
              Return each chat's `user` and its `lastMessage.sender` with their
              profile (name, username, avatar, avatarThumbs, isVerified, ...),
              the same profile `GET /v3/access/users/{userId}` returns. Off by
              default: then each user is an `{ id }` reference, as OnlyFans
              returns chat lists.
          required: false
          description: >-
            Return each chat's `user` and its `lastMessage.sender` with their
            profile (name, username, avatar, avatarThumbs, isVerified, ...), the
            same profile `GET /v3/access/users/{userId}` returns. Off by
            default: then each user is an `{ id }` reference, as OnlyFans
            returns chat lists.
          name: include_users
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        user:
                          type: object
                          properties:
                            id:
                              type: number
                          required:
                            - id
                        cannotSendReason:
                          type: string
                          nullable: true
                        canSendMessage:
                          type: boolean
                        canGoToProfile:
                          type: boolean
                        unreadCount:
                          type: number
                        hasUnreadTips:
                          type: boolean
                        mutedNotifications:
                          type: boolean
                        lastMessage:
                          type: object
                          properties:
                            id:
                              anyOf:
                                - type: number
                                - type: string
                            text:
                              type: string
                            sender:
                              nullable: true
                            media:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: number
                                  type:
                                    type: string
                                    enum:
                                      - photo
                                      - video
                                      - gif
                                      - audio
                                  convertedToVideo:
                                    type: boolean
                                  canView:
                                    type: boolean
                                  ready:
                                    type: boolean
                                  error:
                                    type: boolean
                                  createdAt:
                                    type: string
                                  duration:
                                    type: number
                                  releaseForms:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        id:
                                          type: number
                                        name:
                                          type: string
                                        partnerSource:
                                          type: string
                                        type:
                                          type: string
                                        user:
                                          type: object
                                          properties:
                                            id:
                                              type: number
                                            name:
                                              type: string
                                            username:
                                              type: string
                                            displayName:
                                              type: string
                                              nullable: true
                                            isVerified:
                                              type: boolean
                                            avatar:
                                              type: string
                                              nullable: true
                                            avatarThumbs:
                                              type: object
                                              nullable: true
                                              additionalProperties:
                                                type: string
                                            ivStatus:
                                              type: string
                                            isFromGuest:
                                              type: boolean
                                          required:
                                            - id
                                            - name
                                            - username
                                      required:
                                        - id
                                        - name
                                        - partnerSource
                                        - type
                                  hasCustomPreview:
                                    type: boolean
                                  urls:
                                    type: object
                                    additionalProperties:
                                      type: string
                                  sizes:
                                    type: object
                                    additionalProperties:
                                      type: object
                                      properties:
                                        width:
                                          type: number
                                        height:
                                          type: number
                                        size:
                                          type: number
                                required:
                                  - id
                                  - type
                                  - convertedToVideo
                                  - canView
                                  - ready
                                  - error
                                  - createdAt
                                  - releaseForms
                              default: []
                            previewIds:
                              type: array
                              items:
                                nullable: true
                              default: []
                            mediaReady:
                              type: boolean
                            mediaTotal:
                              type: number
                            createdAt:
                              type: string
                            changedAt:
                              type: string
                            price:
                              anyOf:
                                - type: number
                                - type: string
                            isFree:
                              type: boolean
                            isTip:
                              type: boolean
                            lockedText:
                              type: boolean
                            isOpened:
                              type: boolean
                            isNew:
                              type: boolean
                            isLiked:
                              type: boolean
                            canPurchase:
                              type: boolean
                            canPurchaseReason:
                              type: string
                            canReport:
                              type: boolean
                            canBePinned:
                              type: boolean
                            isPinned:
                              type: boolean
                            cancelSeconds:
                              type: number
                        lastReadMessageId:
                          anyOf:
                            - type: number
                            - type: string
                        hasPurchasedFeed:
                          type: boolean
                        pinnedMessagesCount:
                          type: number
                      required:
                        - user
                  page:
                    type: object
                    properties:
                      cursor:
                        type: string
                        nullable: true
                        default: null
                        description: >-
                          The cursor for this page. Pass it as `cursor` to get
                          the same page again.
                      nextCursor:
                        type: string
                        nullable: true
                      hasMore:
                        type: boolean
                    required:
                      - nextCursor
                      - hasMore
                    additionalProperties: false
                required:
                  - items
                  - page
                additionalProperties: false
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '429':
          description: Rate Limit Exceeded
        '500':
          description: Internal Server Error
        '502':
          description: Bad Gateway
      deprecated: false
      security:
        - ExternalOAuth: []
          LinkedAccountId: []
components:
  securitySchemes:
    ExternalOAuth:
      type: http
      scheme: bearer
      bearerFormat: opaque
      description: Link access token for one Sandbox, Test, or Live authorization.
    LinkedAccountId:
      type: apiKey
      name: x-linked-account-id
      in: header
      description: >-
        Selects one of the authorization's linked accounts via the
        x-linked-account-id header.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.